Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.ranges
Class JRexDocumentRangeImpl

    java.lang.Object
      org.mozilla.jrex.dom.ranges.JRexDocumentRangeImpl

All Implemented Interfaces:
  DocumentRange

public class JRexDocumentRangeImpl
extends Object
implements DocumentRange

A class implementing org.w3c.dom.ranges.DocumentRange interface.

Version:
  1.0 see http://www.w3.org/TR/DOM-Level-2-Traversal-Range/
Author:
  C.N.Medappa

Method Summary
`Range` | `createRange()` This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRange

    public Range createRange()

  Description copied from interface: `DocumentRange`
  This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

  Specified by:
    `createRange` in interface `DocumentRange`
  Returns:
    The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the `ownerDocument`.

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.